apiVersion: apps/v1
kind: Deployment
metadata:
  name: metrics-service-deployment
  labels:
    app: metrics-service
spec:
  replicas: 1
  selector:
    matchLabels:
      app: metrics-service
  template:
    metadata:
      labels:
        app: metrics-service
    spec:
      imagePullSecrets:
          - name: gitlab-registry-secret
      containers:
      - name: metrics-service
        image: registry.gitlab.com/cpelyon/5irc-minekloud/api/metrics-service:latest
        ports:
        - containerPort: 8080
        env:
        - name: APP_PORT
          value: "8080"
        - name: GLOBAL_PREFIX
          value: /api/metrics
        - name: SERVERS_SERVICE_URL
          value: http://servers-service:8080/api/servers
        - name: AUTH_SERVICE_URL
          value: http://users-service.default.svc.cluster.local:8080/api/auth
        - name: PROMETHEUS_SERICE_URL
          value: http://prometheus-kube-prometheus-prometheus.monitoring.svc.cluster.local:9090/api/v1
        - name: PROM_EXPRESSION_MINECRAFT_STATUS
          value: minecraft_status_healthy
        - name: PROM_EXPRESSION_PLAYER_ONLINE_COUNT
          value: minecraft_status_players_online_count
        - name: PROM_EXPRESSION_CPU_USAGE
          value: container_cpu_usage_seconds_total
        - name: PROM_EXPRESSION_RAM_USAGE
          value: container_memory_working_set_bytes
        - name: K8S_MINECRAFT_CONTAINER_NAME
          value: minecraft-server
        - name: AUTO_STOP_DELAY
          value: "300"
        - name: AUTO_STOP_INTERVAL
          value: "5000"
        envFrom:
        - secretRef:
            name: internal-basic-auth-token
        resources:
          requests:
            cpu: "100m"
            memory: "500m"
          limits:
            cpu: "250m"
            memory: 1Gi